summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorMichael Abel <info@abel-ikt.de>2022-03-22 11:20:02 +0100
committerMichael Abel <info@abel-ikt.de>2022-04-06 11:14:29 +0200
commit309cbbc49a01e55ac0fd0ca97fd7c72b9334a3dd (patch)
tree6efa724bbe4d1e8cd0e3bf37c030e9dd4130e661 /ci
parentc8b6ec6dda1f8f023d4b80b25401ed9f8f4c8b74 (diff)
Select apama tests for execution and store results
Diffstat (limited to 'ci')
-rwxr-xr-xci/ci_run_all_plugin_tests.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/ci/ci_run_all_plugin_tests.sh b/ci/ci_run_all_plugin_tests.sh
index 0775a7d0..16b82720 100755
--- a/ci/ci_run_all_plugin_tests.sh
+++ b/ci/ci_run_all_plugin_tests.sh
@@ -36,6 +36,12 @@ set -e
mv __pysys_junit_xml pysys_junit_xml_apt
+set +e
+pysys.py run --record -v DEBUG 'apama_*' -XmyPlatform='container'
+set -e
+
+mv __pysys_junit_xml pysys_junit_xml_apama
+
sudo cp ../../plugins/tedge_docker_plugin/tedge_docker_plugin.sh /etc/tedge/sm-plugins/docker
sudo chmod +x /etc/tedge/sm-plugins/docker